# IMFOffscreenPart Struct Reference
[MCFrame]

Inheritance diagram for IMFOffscreenPart:

List of all members.

## Public Member Functions
virtual IMFPart *MCCOMAPI | GetThisPart ()=0
virtual void MCCOMAPI | AllocateOffScreen (uint32 width, uint32 height, uint32 bitDepth)=0
virtual void MCCOMAPI | DeleteOffScreen ()=0
virtual TMCOffscreen *MCCOMAPI | GetOffscreen ()=0
virtual void MCCOMAPI | DrawCheckerOffScreen ()=0
virtual boolean MCCOMAPI | ScreenToOffscreen (TMCPoint &ioPoint)=0
virtual void MCCOMAPI | GetDisplayBounds (TMCRect &outBounds)=0

## Detailed Description

An IMFOffscreenPart owns an offscreen, and draws it. It will handle deleting the offscreen when necessary, but one can also tell it to delete the offscreen manually.

## Member Function Documentation

virtual void MCCOMAPI IMFOffscreenPart::AllocateOffScreen | ( | uint32 | width,
|  | uint32 | height,
|  | uint32 | bitDepth |
| ) |  |  | `[pure virtual]`

Allocates a new internal offscreen and deletes the old one.

Parameters:

  | width | Width in pixels of the offscreen to allocate
  | height | Height in pixels of the offscreen to allocate
  | bitDepth | Bit depth of the offscreen to allocate

virtual void MCCOMAPI IMFOffscreenPart::DeleteOffScreen | ( |  | ) | `[pure virtual]`

Deletes the internal offscreen. Calling this is optional, as AllocateOffScreen() will automatically delte its old offscreen.

virtual void MCCOMAPI IMFOffscreenPart::DrawCheckerOffScreen | ( |  | ) | `[pure virtual]`

Draws a checkerboard pattern in the internal offscreen. You must have already called AllocateOffScreen() prior to calling this function.

virtual void MCCOMAPI IMFOffscreenPart::GetDisplayBounds | ( | TMCRect & | outBounds | ) | `[pure virtual]`

Returns in local coordinates the bounds into wich the offscreen is displayed. This may be different than the part's bounds if it has a different aspect ratio.

Parameters:

  | outBounds | A TMCRect into which the function places the bounds. TMCRect::kInvalid if the offscreen is null

virtual TMCOffscreen* MCCOMAPI IMFOffscreenPart::GetOffscreen | ( |  | ) | `[pure virtual]`

Returns:
  A pointer to internal offscreen. NULL if the offscreen has not been allocated.

virtual IMFPart* MCCOMAPI IMFOffscreenPart::GetThisPart | ( |  | ) | `[pure virtual]`

IMFOffscreenPart owns a TMFOffscreenPart which is an IMFPart. Returns the IMFPart interface.

Returns:
  A pointer to the IMFPart interface

virtual boolean MCCOMAPI IMFOffscreenPart::ScreenToOffscreen | ( | TMCPoint & | ioPoint | ) | `[pure virtual]`

Conerts a point from screen coordinates into offscreen coordinates.

Parameters:

  | ioPoint | The point to be converted to offscreen coordinates.

Returns:
  True if the point is inside the offscreen.

The documentation for this struct was generated from the following file:

- IMFOffscreenPart.h